Panda3D

Public Types | Public Member Functions | List of all members
PointParticleRenderer Class Reference

Simple point/point particle renderer. More...

`#include "pointParticleRenderer.h"`

Inheritance diagram for PointParticleRenderer:

## Public Types
enum | PointParticleBlendType { PP_ONE_COLOR , PP_BLEND_LIFE , PP_BLEND_VEL }
Public Types inherited from BaseParticleRenderer
enum | ParticleRendererAlphaMode { PR_ALPHA_NONE , PR_ALPHA_OUT , PR_ALPHA_IN , PR_ALPHA_IN_OUT , PR_ALPHA_USER , PR_NOT_INITIALIZED_YET }
enum | ParticleRendererBlendMethod { PP_NO_BLEND , PP_BLEND_LINEAR , PP_BLEND_CUBIC }

## Public Member Functions
| PointParticleRenderer (const PointParticleRenderer &copy)
| Copy constructor. More...
| PointParticleRenderer (ParticleRendererAlphaMode ad=PR_ALPHA_NONE, PN_stdfloat point_size=1.0f, PointParticleBlendType bt=PP_ONE_COLOR, ParticleRendererBlendMethod bm=PP_NO_BLEND, const LColor &sc=LColor(1.0f, 1.0f, 1.0f, 1.0f), const LColor &ec=LColor(1.0f, 1.0f, 1.0f, 1.0f))
| special constructor More...
virtual | ~PointParticleRenderer ()
| Simple destructor. More...
ParticleRendererBlendMethod | get_blend_method () const
PointParticleBlendType | get_blend_type () const
const LColor & | get_end_color () const
PN_stdfloat | get_point_size () const
const LColor & | get_start_color () const
virtual BaseParticleRenderer * | make_copy ()
| for spawning systems from dead particles More...
virtual void | output (std::ostream &out) const
| Write a string representation of this instance to <out>. More...
void | set_blend_method (ParticleRendererBlendMethod bm)
void | set_blend_type (PointParticleBlendType bt)
void | set_end_color (const LColor &ec)
void | set_point_size (PN_stdfloat point_size)
void | set_start_color (const LColor &sc)
virtual void | write (std::ostream &out, int indent_level=0) const
| Write a string representation of this instance to <out>. More...
Public Member Functions inherited from BaseParticleRenderer
virtual | ~BaseParticleRenderer ()
| Destructor. More...
ParticleRendererAlphaMode | get_alpha_mode () const
bool | get_ignore_scale () const
| Returns the "ignore scale" flag. More...
GeomNode * | get_render_node () const
| Query the geomnode pointer. More...
NodePath | get_render_node_path () const
| Query the geomnode pointer. More...
PN_stdfloat | get_user_alpha () const
| gets alpha for "user" alpha mode More...
void | set_alpha_mode (ParticleRendererAlphaMode am)
void | set_color_blend_mode (ColorBlendAttrib::Mode bm, ColorBlendAttrib::Operand oa=ColorBlendAttrib::O_zero, ColorBlendAttrib::Operand ob=ColorBlendAttrib::O_zero)
| sets the ColorBlendAttrib on the _render_node More...
void | set_ignore_scale (bool ignore_scale)
| Sets the "ignore scale" flag. More...
void | set_user_alpha (PN_stdfloat ua)
| sets alpha for "user" alpha mode More...
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...

## Detailed Description

Simple point/point particle renderer.

Does NOT handle billboards- use BillboardParticleRenderer for that.

Definition at line 33 of file pointParticleRenderer.h.

## Constructor & Destructor Documentation

## ◆ PointParticleRenderer() [1/2]

PointParticleRenderer::PointParticleRenderer | ( | const PointParticleRenderer & | copy | ) |

Copy constructor.

Definition at line 44 of file pointParticleRenderer.cxx.

Referenced by make_copy().

## ◆ PointParticleRenderer() [2/2]

PointParticleRenderer::PointParticleRenderer | ( | ParticleRendererAlphaMode | ad = `PR_ALPHA_NONE`,
|  | PN_stdfloat | point_size = `1.0f`,
|  | PointParticleBlendType | bt = `PP_ONE_COLOR`,
|  | ParticleRendererBlendMethod | bm = `PP_NO_BLEND`,
|  | const LColor & | sc = `LColor(1.0f, 1.0f, 1.0f, 1.0f)`,
|  | const LColor & | ec = `LColor(1.0f, 1.0f, 1.0f, 1.0f)`
| ) |  |
| explicit

special constructor

Definition at line 27 of file pointParticleRenderer.cxx.

## ◆ ~PointParticleRenderer()

PointParticleRenderer::~PointParticleRenderer | ( |  | ) |
| virtual

Simple destructor.

Definition at line 60 of file pointParticleRenderer.cxx.

## Member Function Documentation

## ◆ make_copy()

BaseParticleRenderer * PointParticleRenderer::make_copy | ( |  | ) |
| virtual

for spawning systems from dead particles

Implements BaseParticleRenderer.

Definition at line 67 of file pointParticleRenderer.cxx.

References PointParticleRenderer().

## ◆ output()

void PointParticleRenderer::output | ( | std::ostream & | out | ) | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleRenderer.

Definition at line 259 of file pointParticleRenderer.cxx.

## ◆ write()

void PointParticleRenderer::write | ( | std::ostream & | out,
|  | int | indent_level = `0`
| ) |  | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from BaseParticleRenderer.

Definition at line 269 of file pointParticleRenderer.cxx.

References indent(), and BaseParticleRenderer::write().

The documentation for this class was generated from the following files:

- panda/src/particlesystem/pointParticleRenderer.h
- panda/src/particlesystem/pointParticleRenderer.cxx
- panda/src/particlesystem/pointParticleRenderer.I